var app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
      isShow: true,
      currentTab: 1,
      points:[],
  },

  swichNav: function (e) {
      var current = e.currentTarget.dataset.current
      this.setData({
          currentTab: current
      })
  },


  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
      var that = this;
    
      var share_id = options.userid;
      app.getUserInfo(function (userInfo) { }, share_id)


      var id = app.globalData.userId;
      //此接口展示推客记录的
    wx.request({
        url: 'https://jisu.shenmikj.com/painter/api/index/share',
        data:{
            user_id:id
        },
        success:function(res){
            console.log(res);
            that.setData({
                points:res.data.data
            })
        }
    })
    
  },
  

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    
  },

  /**
 * 用户点击右上角分享
 */
  onShareAppMessage: function (res) {
      var userid = app.globalData.userId;
      console.log(userid);
      if (res.from === 'button') {
          // 来自页面内转发按钮
          console.log(res.target)
      }
      return {
          title: '门店展示案例',
          path: '/pages/home_page/home_page?userid=' + userid,
          success: function (res) {
              var pages = getCurrentPages()    //获取加载的页面

              var currentPage = pages[pages.length - 1]    //获取当前页面的对象
               
              var url = currentPage.route + '?userid=' + userid;  //当前页面url

              console.log(url);
          },
          fail: function (res) {
              // 转发失败
          }
      }
  }
})